Mailrelay API Reference

Get a single sent campaign

GET https://{account}/api/v1/sent_campaigns/{id}

Authentication

Requires an API key sent in the X-AUTH-TOKEN header.

Get a single sent campaign

Parameters

NameTypeRequiredDescription
id integer Yes ID of the record

Responses

StatusDescription
200 Success
404 Couldn't find record with provided ID.
401 The API key wasn't sent or is invalid
429 Too many requests. You have exceeded the rate limit, wait and try again later.
500 An internal error happened. Try again later.

Response fields

NameTypeDescription
id integer ID
subject string Subject
sender_id integer Sender
preview_text string Preview text
html string HTML
status string Status
clicks_count integer Clicks
unique_clicks_count integer Clicks (unique)
impressions_count integer Impressions
unique_impressions_count integer Impressions (unique)
sent_emails_count integer Sent emails
processed_emails_count integer Processed
delivered_emails_count integer Delivered
soft_bounced_emails_count integer Soft bounced
bounced_emails_count integer Bounced
unsubscribe_events_count integer Unsubscribes
scheduled_at string Scheduled at
created_at string Created at
updated_at string Updated at
finished_at string Finished at
track_opens boolean Track opens
track_clicks boolean Track clicks